{% extends 'base.html.twig' %}

{% block title %}Perfil de usuario{% endblock %}

{% block body %}
    <div class="container">
        <div class="col-12 box-profile">
            <div class="publication-user text-center col-12">
                {% if user.image !=null %}
                    <img src="{{asset('uploads/users/'~user.image)}}" class="profile-img" alt="" />
                {% else %}
                    <img src="{{asset('uploads/users/default-user-icon.png')}}" class="profile-img" alt="" />
                {% endif %}
                {%if app.user.id !=user.id%}
                    <div>
                        {% if user|following(app.user)==true %}
                            <span class="badge badge-secondary mb-3">Te sigue</span>
                        {% endif %}
                        <br>
                        <button type="button" class="btn btn-success follow-button
                                {% if app.user|following(user) == true %}
                                    d-none
                                {% endif %} 
                                " data-followed="{{user.id}}"><i class="fas fa-check-circle"></i> Seguir</button>

                        <button type="button" class="btn btn-secondary unfollow-button
                                {% if app.user|following(user)== false %}
                                    d-none
                                {% endif %}
                                " data-followed="{{user.id}}"><i class="fas fa-times-circle"></i>Dejar de seguir</button>
                    </div>
                {%endif%}

                <h2>{{user.name}} {{user.surname}}</h2>
                <h5>{{user.nick}}</h5>
                <h6 class="profile-bio">{{user.bio}}</h6>
                <hr>
                <div class="row profile-stats">
                    {% set user_stats=user|stats %}
                    <div class="col">
                        <span class="stat-label">Tuits</span>
                        <span class="stat-number">{{user_stats.publications}}</span>
                    </div>
                    <div class="col">
                        <a href="{{path('user_likes',{'nickname':user.nick})}}">
                            <span class="stat-label">Favs</span>
                            <span class="stat-number">{{user_stats.likes}}</span>
                        </a>
                    </div>
                    <div class="col">
                        <a href="{{path('following_followed',{'nickname':user.nick})}}">
                            <span class="stat-label">Seguidores</span>
                            <span class="stat-number">{{user_stats.followers}}</span>
                        </a>
                    </div>
                    <div class="col">
                        <a href="{{path('following_following',{'nickname':user.nick})}}">
                            <span class="stat-label">Siguiendo</span>
                            <span class="stat-number">{{user_stats.following}}</span>
                        </a>
                    </div>
                </div>
            </div>

            <h3 class="profile-title">Publicaciones</h3>
            {% if publications is not empty %}
                <div class="box-content"> 
                    {% for publication in publications %}
                        <div class="publication-item col-12">
                            <div class="row">
                                <div class="publication-user text-center col-2">
                                    {% if publication.user.image !=null %}
                                        <img src="{{asset('uploads/users/'~publication.user.image)}}" alt="" />
                                    {% else %}
                                        <img src="{{asset('uploads/users/default-user-icon.png')}}" alt="" />
                                    {% endif %}
                                </div>
                                <div class="publication-content text-center col-9">
                                    <p class="text-left">
                                        <a href="#" class="pub-name-user">
                                            {{publication.user.name}} {{publication.user.surname}}
                                        </a>
                                        -{{publication.user.nick}}-
                                        <span class="pub-date">
                                            {{publication.createdAt|long_time}}
                                        </span>
                                        {% if publication.user.id == app.user.id %}
                                            <i data-id="{{publication.id}}" class="fas fa-trash-alt btn-remove-pub"></i>
                                        {% endif %}
                                    </p>
                                    {{publication.text}}
                                    <br>
                                    {% if publication.image !=null %}
                                        <img src="{{asset('uploads/publications/images/'~publication.image)}}" class="img-fluid pub-image" alt="">
                                        <br>
                                        <i class="fas fa-eye-slash btn-image"></i>
                                    {% endif %}
                                    {% if publication.document != null %}
                                        <a href="{{asset('uploads/publications/documents/'~publication.document)}}" target="_blank">
                                            <h3><i class="fas fa-file-download"></i></h3>
                                        </a>
                                    {% endif %}
                                    <div class="div-btn-like float-left">
                                        <i class="far fa-heart btn-like
                                           {% if app.user|liked(publication)==true %}
                                               d-none
                                           {% endif %}
                                           " data-toggle="tooltip" data-placement="bottom" title="Me gusta" data-id="{{publication.id}}"></i>

                                        <i class="fas fa-heart btn-dislike
                                           {% if app.user|liked(publication)==false %}
                                               d-none
                                           {% endif %}
                                           " data-toggle="tooltip" data-placement="bottom" title="Ya no Me gusta" data-id="{{publication.id}}"></i>

                                    </div>

                                </div>
                            </div>
                            <hr>    
                        </div>
                    {% endfor %}

                </div>
                <div class="navigation">
                    {{ knp_pagination_render(publications) }}
                </div>      
            {%endif%}
        </div>
    </div>
{% endblock %}
{% block javascripts %}
    <script src="{{asset('assets/js/profile.js')}}"></script>
{% endblock %}
